Create 1
Create an action secret
Creates a new action secret
Request
URI
POST
https://{vcfa-fqdn}/abx/api/resources/action-secrets
COPY
Request Body
ActionSecret
of type(s)
application/json
Required
{
"id": "string",
"name": "string",
"createdMillis": 0,
"orgId": "string",
"value": {},
"encrypted": false
}
string
id
Read-Only
id
string
name
Optional
name
integer As int64
As int64
createdMillis
Read-Only
createdMillis
string
orgId
Optional
orgId
object
value
Optional
value
boolean
encrypted
Optional
encrypted
Responses
200
Action secret created successfully
Returns
ActionSecret
of type(s)
*/*
{
"id": "string",
"name": "string",
"createdMillis": 0,
"orgId": "string",
"value": {},
"encrypted": false
}
400
Invalid action secret
Returns
ActionSecret
of type(s)
*/*
"ActionSecret Object"
string
id
Read-Only
id
string
name
Optional
name
integer As int64
As int64
createdMillis
Read-Only
createdMillis
string
orgId
Optional
orgId
object
value
Optional
value
boolean
encrypted
Optional
encrypted
401
Unauthorized to make the request
Returns
ActionSecret
of type(s)
*/*
"ActionSecret Object"
string
id
Read-Only
id
string
name
Optional
name
integer As int64
As int64
createdMillis
Read-Only
createdMillis
string
orgId
Optional
orgId
object
value
Optional
value
boolean
encrypted
Optional
encrypted
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/abx/api/resources/action-secrets
Action Constants Operations
GET
Get By Id
PUT
Update 1
DELETE
Delete Action Secret
GET
Get All
POST
Create 1